| Home | Libraries | People | FAQ | More

##### basic_socket::basic_socket (1 of 4 overloads)

Construct a basic_socket without opening it.

    basic_socket(
        boost::asio::io_service & io_service);

This constructor creates a socket without opening it.

###### Parameters

io_service

  The io_service object that the socket will use to dispatch handlers for any asynchronous operations performed on the socket.